> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.swipeeventargs.md).

# SwipeEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for [Swipe](/api/wisej.web/general/control.md#swipe) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SwipeEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SwipeEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Axis

[SwipeAxis](/api/wisej.web/general/control/wisej.web.swipeaxis.md): Returns whether the performed swipe was on the x or y axis.

### ![](/files/hsR4ok3152WyAf8J2C1u) Direction

[SwipeDirection](/api/wisej.web/general/control/wisej.web.swipedirection.md): Returns the direction of the performed swipe in reference to the axis: X = Up / Down Y = Left / Right

### ![](/files/hsR4ok3152WyAf8J2C1u) Distance

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the distance of the performed swipe.

### ![](/files/hsR4ok3152WyAf8J2C1u) Duration

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the duration the performed swipe took.

### ![](/files/hsR4ok3152WyAf8J2C1u) StartTime

[Int64](https://docs.microsoft.com/dotnet/api/system.int64): Returns the start time of the performed swipe.

### ![](/files/hsR4ok3152WyAf8J2C1u) Velocity

[Double](https://docs.microsoft.com/dotnet/api/system.double): Returns the velocity of the performed swipe.

## Used By

| Name                                                                               | Description                                                                                        |
| ---------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| [SwipeEventHandler](/api/wisej.web/general/control/wisej.web.swipeeventhandler.md) | Represents the method that will handle the [Swipe](/api/wisej.web/general/control.md#swipe) event. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.swipeeventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
